eslint-plugin-strict-typescript

1.0.3 • Public • Published

eslint-plugin-strict-typescript

For strict rules that include TypeScript.

Installation

You'll first need to install ESLint:

npm i eslint --save-dev

Next, install eslint-plugin-strict-typescript:

npm install eslint-plugin-strict-typescript --save-dev

Usage

{
    "root": true,
    "parser": "@typescript-eslint/parser",
    "parserOptions": {
        "ecmaVersion": 6,
        "sourceType": "module"
    },
    "plugins": [
        "@typescript-eslint"
    ],
    "extends": [
        "plugin:strict-typescript/recommend"
    ],
    "ignorePatterns": [
        "out",
        "dist",
    ]
}

Package Sidebar

Install

npm i eslint-plugin-strict-typescript

Weekly Downloads

0

Version

1.0.3

License

ISC

Unpacked Size

13.1 kB

Total Files

5

Last publish

Collaborators

  • ren-wei